<template>
  <v-row
    align="center"
    justify="center"
    class="text-center pb-10 mb-10 pr-10 pl-10"
  >
    <v-col cols="12" class="pb-12 text-center">
      <h2 class="pt-12 allh2-headline">
        {{ dataGiven.title }}
      </h2>
    </v-col>
    <v-col v-for="(item, i) in dataGiven.items" :key="i" cols="12" md="6">
      <v-card
        :class="
          $vuetify.breakpoint.mdAndDown
            ? 'pt-5 pr-2 pl-2 text-center d-flex align-center'
            : 'mx-auto text-center pa-6'
        "
        :color="colors[i]"
        dark
        :height="$vuetify.breakpoint.mdAndDown ? '390px' : '250px'"
      >
        <h4 :class="$vuetify.breakpoint.mdAndDown ? 'text-h6' : 'headline'">
          {{ item }}
        </h4>
      </v-card>
    </v-col>
  </v-row>
</template>
<script>
export default {
  name: 'VtpCardHardware',
  props: {
    dataGiven: {
      type: Object,
      required: true,
    },
  },
  data() {
    return {
      colors: ['deep-purple accent-4', 'indigo', 'teal', 'deep-purple'],
    };
  },
};
</script>
